[kernel] r7743 - people/jurij/ipw3945-daemon/debian
Jurij Smakov
jurij-guest at alioth.debian.org
Sat Nov 11 04:18:18 UTC 2006
Author: jurij-guest
Date: Sat Nov 11 05:18:18 2006
New Revision: 7743
Modified:
people/jurij/ipw3945-daemon/debian/changelog
people/jurij/ipw3945-daemon/debian/init
Log:
Minor cleanups.
Modified: people/jurij/ipw3945-daemon/debian/changelog
==============================================================================
--- people/jurij/ipw3945-daemon/debian/changelog (original)
+++ people/jurij/ipw3945-daemon/debian/changelog Sat Nov 11 05:18:18 2006
@@ -2,4 +2,5 @@
* Initial upload to Debian. Closes: #391686
- -- Jurij Smakov <jurij at debian.org> Tue, 10 Oct 2006 20:14:33 -0700
+ -- Jurij Smakov <jurij at debian.org> Fri, 10 Nov 2006 19:31:57 -0800
+
Modified: people/jurij/ipw3945-daemon/debian/init
==============================================================================
--- people/jurij/ipw3945-daemon/debian/init (original)
+++ people/jurij/ipw3945-daemon/debian/init Sat Nov 11 05:18:18 2006
@@ -18,6 +18,7 @@
SYS_CMD_PERM="744"
DAEMON_PID_DIR="/var/run/ipw3945-daemon"
DAEMON_PID_FILE="${DAEMON_PID_DIR}/ipw3945d.pid"
+DAEMON_LOG_FILE="/var/log/ipw3945-daemon/ipw3945d.log"
# Occasionally we will be started by a modprobe hook very early,
# when the filesystem might not be mounted rw yet. In this case
@@ -25,7 +26,6 @@
# pid file. This function may be used to check for it.
can_write_pid() {
check="${DAEMON_PID_DIR}/can_write"
- rm -f "${check}" > /dev/null 2>&1 || true
if touch "${check}" > /dev/null 2>&1; then
res=0
rm -f "${check}"
@@ -36,7 +36,7 @@
}
# If the driver is loaded, some entries in the /sys tree should
-# appear. If we are run by a modprobe hook, it might be that we
+# appear. If they are not there, it might be that we just
# need to wait a bit for them to appear and then adjust their
# permissions and ownership appropriately.
have_sys_entries() {
@@ -74,7 +74,8 @@
log_daemon_msg "Starting ipw3945 regulatory daemon" "ipw3945d"
start-stop-daemon --start --quiet --chuid "${DAEMON_OWNER}" \
--exec "${DAEMON_BINARY}" --pidfile "${DAEMON_PID_FILE}" \
- --oknodo -- --pid-file=${DAEMON_PID_FILE} --quiet > /dev/null 2>&1
+ --oknodo -- --pid-file=${DAEMON_PID_FILE} --quiet \
+ --log-file=${DAEMON_LOG_FILE} > /dev/null 2>&1
code=$?
log_end_msg ${code}
else
@@ -86,7 +87,7 @@
log_daemon_msg "Stopping ipw3945 regulatory daemon" "ipw3945d"
start-stop-daemon --stop --quiet --pidfile "${DAEMON_PID_FILE}" \
--signal HUP > /dev/null 2>&1
- # Daemon does not clean up its pid file when exiting on the signal
+ # Daemon does not clean up its pid file when exiting on a signal
remove_stale_pid quietly
log_end_msg 0
}
@@ -112,8 +113,8 @@
;;
modprobe-stop)
stop_daemon
- # This target must exit with code 1 due to the way
- # it is called from the modprobe hook.
+ # This target must always exit with code 1 due
+ # to the way it is called from the modprobe hook.
exit 1
;;
*)
More information about the Kernel-svn-changes
mailing list